com.independentsoft.exchange

## Class IndexedPropertyPath

- java.lang.Object
- - com.independentsoft.exchange.PropertyPath
  - - com.independentsoft.exchange.IndexedPropertyPath

-     public class IndexedPropertyPath
      extends PropertyPath

  Identifies individual members of a dictionary.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexedPropertyPath()` Initializes a new instance of the IndexedPropertyPath class.
    `IndexedPropertyPath(IndexedPropertyPathUri uri, java.lang.String index)` Initializes a new instance of the IndexedPropertyPath class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getIndex()` Gets the member of the dictionary to return.
    `IndexedPropertyPathUri` | `getUri()` Gets the dictionary that contains the member to return.
    `void` | `setIndex(java.lang.String index)` Sets the member of the dictionary to return.
    `void` | `setUri(IndexedPropertyPathUri uri)` Sets the dictionary that contains the member to return.
    `java.lang.String` | `toString()` Converts the value of the current IndexedPropertyPath object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexedPropertyPath

          public IndexedPropertyPath()

      Initializes a new instance of the IndexedPropertyPath class.

    - #### IndexedPropertyPath

          public IndexedPropertyPath(IndexedPropertyPathUri uri,
                                     java.lang.String index)

      Initializes a new instance of the IndexedPropertyPath class.
      Parameters:
        `uri` - the uri
        `index` - the index

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current IndexedPropertyPath object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getUri

          public IndexedPropertyPathUri getUri()

      Gets the dictionary that contains the member to return.
      Returns:
        the uri

    - #### setUri

          public void setUri(IndexedPropertyPathUri uri)

      Sets the dictionary that contains the member to return.
      Parameters:
        `uri` - the new uri

    - #### getIndex

          public java.lang.String getIndex()

      Gets the member of the dictionary to return.
      Returns:
        the index

    - #### setIndex

          public void setIndex(java.lang.String index)

      Sets the member of the dictionary to return.
      Parameters:
        `index` - the new index